// ReadACommDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CReadACommDlg dialog
class CReadACommDlg : public CDialog
{
// Construction
public:
	CReadACommDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_READACOMM_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	bool m_registered;

	bool RegisterWithReadACard(bool enable);
	void UpdateButtons();
	void AppendToEdit(HWND hEdit, CString message);

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedRegisterButton();
	afx_msg void OnBnClickedUnregisterButton();
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct); 

	CButton m_registerButtonCtrl;
	CButton m_unregisterButtonCtrl;
	CEdit m_messageEditCtrl;
};
